# Just a wild guess...
%define _requires_exceptions perl(English)\\|perl(SNMP)\\|perl(a)

%define name nagios-plugins
%define version 1.3.1
%define release 5mdk

%define nsusr nagios
%define nsgrp nagios

Summary:	Host/service/network monitoring program plugins for Nagios
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://nagiosplug.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
PreReq:		rpm-helper
Requires:	bind-utils
Requires:	fileutils
Requires:	fping
Requires:	gawk
Requires:	grep
Requires:	libldap2
Requires:	libmysql12
Requires:	libnet-snmp50
Requires:	libopenssl0.9.7
Requires:	libpq3
Requires:	libradius0
Requires:	libsasl2
Requires:	net-snmp-utils
Requires:	ntp
Requires:	perl
#Requires:	perl-DBI
#Requires:	perl-Net-SNMP
#Requires:	perl-libwww-perl
Requires:	python
Requires:	qstat
Requires:	samba-client
Requires:	shadow-utils
Requires:	textutils
Requires:	traceroute
BuildRequires:	libldap2-devel
BuildRequires:	libmysql12-devel
BuildRequires:	libopenssl0.9.7-devel
BuildRequires:	libradius0-devel
BuildRequires:	libsasl2-devel
BuildRequires:	libnet-snmp50-devel
BuildRequires:	postgresql-devel
BuildRequires:	zlib-devel
BuildRequires:	libpq3-devel
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	netsaint-plugins
Provides:	netsaint-plugins

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
Nagios package.  This package should install cleanly on almost any
RPM-based system.

%prep

%setup -q -n %{name}-%{version}

%build
%serverbuild

# this is one of the wierdest configure line and build I have ever done...

# either have zillions of buildrequires or...
export PATH_TO_DF=/bin/df
export PATH_TO_DIG=/usr/bin/dig
export PATH_TO_FPING=/bin/fping
export PATH_TO_HOST=/usr/bin/host
export PATH_TO_MAILQ=/usr/bin/mailq
export PATH_TO_NSLOOKUP=/usr/bin/nslookup
export PATH_TO_NTPDATE=/usr/sbin/ntpdate
export PATH_TO_NTPDC=/usr/sbin/ntpdc
export PATH_TO_NTPQ=/usr/sbin/ntpq
export PATH_TO_PING=/bin/ping
export PATH_TO_PS=/bin/ps
export PATH_TO_QSTAT=/usr/bin/qstat
export PATH_TO_RPCINFO=/usr/sbin/rpcinfo
export PATH_TO_SMBCLIENT=/usr/bin/smbclient
export PATH_TO_SNMPGET=/usr/bin/snmpget
export PATH_TO_SNMPGETNEXT=/usr/bin/snmpgetnext
export PATH_TO_SSH=/usr/bin/ssh

./configure \
    --prefix=%{_libdir}/nagios/plugins \
    --libdir=%{_libdir}/nagios/plugins \
    --libexecdir=%{_libdir}/nagios/plugins \
    --with-cgiurl=/nagios/cgi-bin \
    --with-nagios-user=%{nsusr} \
    --with-nagios-grp=%{nsgrp} \
    --with-trusted-path="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin" \
    --with-openssl=%{_includedir}/openssl \
    --with-pgsql=%{_includedir}/pgsql \
    --with-mysqllibdir=%{_includedir}/mysql \
    --with-df-command="/bin/df -Pk" \
    --with-ping-command="/bin/ping -n %%s -c %%d"

%make CFLAGS="%{optflags}" \
LDFLAGS="-L%{_libdir} -I%{_includedir}/ldap -I%{_includedir}/mysql -I%{_includedir}/pgsql -I%{_includedir}/openssl"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_sysconfdir}/nagios
install -d -m0755 %{buildroot}%{_libdir}/nagios/plugins/contrib

make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=%{buildroot} install

pushd contrib
find . -type f -exec /usr/bin/perl -e 's/^#!\/usr\/local\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -type f -exec /usr/bin/perl -e 's/^#!\/nyet\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -type f -exec /usr/bin/perl -e 's/^#!\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
install -m755 check* %{buildroot}%{_libdir}/nagios/plugins/contrib/
popd

# install the config file
install -m0644 command.cfg %{buildroot}%{_sysconfdir}/nagios/

# don't ship dev files
rm %{buildroot}%{_libdir}/nagios/plugins/contrib/*.c

# house cleaning...
# we don't have any oracle stuff in Mandrake, so don't ship none...
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_ora_table_space.pl
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_oracle_instance.pl
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_oracle.sh
# this one is outdated
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_rrd_data.pl

%pre
%_pre_useradd %{nsusr} /var/log/nagios /bin/sh

%postun
%_postun_userdel %{nsusr}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CODING ChangeLog FAQ INSTALL LEGAL NEWS README REQUIREMENTS SUPPORT
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/command.cfg
%defattr(755,root,root)
%dir %{_libdir}/nagios/plugins
%{_libdir}/nagios/plugins/*

%changelog
* Mon Sep 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-5mdk
- close #5116

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-4mdk
- fix buildrequires and requires

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-3mdk
- rebuilt against new python

* Sun Jul 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-2mdk
- fix requires

* Sun Jul 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-1mdk
- 1.3.1
- rebuilt against latest requires and buildrequires
- use the "_requires_exceptions" magic, thanks Olivier Thauvin for 
  reminding me
- misc spec file fixes
- fix requires

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-1mdk
- 1.3.0
- drop P0, seems included upstream

* Sat Feb 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.5mdk
- possible fix for #1417 by Benjamin Pflugmann
- fix requires and buildrequires for the correct openssl and mysql packages
- rebuild against latest requires and buildrequires
- requires bind-utils

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.4mdk
- requires libpq3

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.3mdk
- build release

* Sat Dec 07 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.2mdk
- create the %{nsusr} user in %%pre
- fix "configure-without-libdir-spec"
- fix BuildRequires and Requires
- major spec file fixes

* Mon Nov 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.1mdk
- new version
- drop P0
- misc spec file fixes

* Sun Sep 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3b1-2mdk
- fixed the invalid ping command and call automake not automake-1.4,
  pointed out by Guillaume Bourque.

* Thu Aug 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3b1-1mdk
- initial cooker contrib

